| Home | Libraries | People | FAQ | More

## Global exe

boost::process::exe

## Synopsis

    // In header: <boost/process/exe.hpp>

    unspecified exe;

## Description

The exe property allows to explicitly set the executable.

The overload form applies when to the first, when several strings are passed to a launching function.

The following expressions are valid, with `value` being either a C-String or a `std::basic_string` with `char` or `wchar_t` or a `boost::filesystem::path`.

    exe="value";
    exe(value);

The property can only be used for assignments.